Subject: Re: bug#60376: 29.0.60; Standardize csharp-ts-mode's font-lock features

From: Jostein Kjønigsen <[email-masked]>
Date: Tue, 3 Jan 2023 06:43:23 +0100

Yuan: did you forget applying this last patch? :)

—
Jostein Kjønigsen
https://jostein.kjønigsen.net

> On 2 Jan 2023, at 10:59, Jostein Kjønigsen <[email-masked]> wrote:
> 
> 
>> On 02.01.2023 01:12, Yuan Fu wrote:
>> Fantastic! I applied the patch, thanks!
>> 
>> Yuan
> 
> Great! Thanks!
> 
> Please note: The previous patch removed a very wide (generic_name (identifier)) selector, which incorrectly caused generic functions to be highlighted as a types.
> 
> This has lead to having to add in more specific (xxx (generic_name (identifier)) selectors around the codebase to compensate, and the previous patch evidently didn't have "all" the ones we need.
> 
> Attached is a very small patch which should make support for highlighting generic types more complete. I won't promise it has 100% coverage, but with this in place, I can't see any obvious places in code where I'm missing out.
> 
> With this in place, the only thing I'd like to improve now (if any) is indentation for object-creation/initialization expressions. I've made a few attempts and can't get those to behave properly.
> 
> Is this anything you could take a look at, Theo? :)
> 
> --
> Jostein
> <patch.txt>